<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $addflag = $_REQUEST["addflag"];
    $hide_var = "";

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
//    $mctr++;
    $ctr--;
    Echo "<tr>";
    Echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
    Echo "<td><input type='text' name='srno_$ctr' class='srno form-control    form'  value='$mctr'></td>";
    Echo "<td>";
    echo "<input list='itemname' name='itemname_$ctr' class='itemname form-control form ' autocomplete='off' value=''> ";
    echo "<datalist id='itemname' char='#'>";
    echo"<option>";

    $msize = mysqli_query($conn, "SELECT `name` FROM `product` group by name") or die(mysqli_error($conn));

    while ($tsize = mysqli_fetch_array($msize)) {
        $sizename = $tsize['name'];
        echo "<option value='$sizename'>";
    }
    echo "</datalist>";
    echo "</td>";
    Echo "<td><input type='text' class='form-control form size'               name='size_$ctr'  value=''></td>";
    Echo "<td><input type='text' class='form-control form text-right qty'     name='qty_$ctr' value='0'></td>";
    Echo "<td><input type='text' class='form-control form unit'               name='unit_$ctr'  value=''></td>";
    Echo "<td><input type='text' class='form-control form text-right rate'    name='rate_$ctr'  value='0'></td>";
    Echo "<td><input type='text' class='form-control form text-right amount'  name='amount_$ctr'  value='0'></td>";
//    Echo "<td><input type ='date' class='form-control form delivery_date'  name='delivery_date_$ctr'  value='' ></td>";
    if($addflag != '1'){
    Echo "<td><button type='button' style='margin-left: 20px;' class='btn btn-primary purchase'>Settlement</button></td>";
    }
//    Echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
//    Echo "<td><input type='text' name='srno_$ctr' class='srno form-control  form '  value='$mctr'></td>";
//    Echo "<td><input type='text' name='barcode_$ctr' class='barcode form-control focusFld_$ctr  form' value='' ></td>";
//    Echo "<td><input type='text' name='itemname_$ctr' required='true' class='itemname form-control  form' value='' readonly></td>";
////    Echo "<td><input type='number' name='cartqty_$ctr' class='cartqty form-control text-right form' style='' value='0' ></td>";
//    Echo "<td><input type='text' step='any' name='stk_$ctr' class='stk form-control  text-right form' value='0' tabindex='-1' style='background-color:lightgrey;color:blue'></td>";
//
//    Echo "<td class='p1'><input type='text' step='any' name='qty_$ctr' id='qty_$ctr'  class='qty form-control  text-right form' value='0' ></td>";
////    Echo "<td><input type='number' step='any' name='totqty_$ctr' class='totqty form-control  text-right form' tabindex='-1' value='0' readonly></td>";
//    Echo "<td class='p2'><input type='text' step='any' name='cost_$ctr' id='rate_$ctr' class='cost rate form-control text-right  form' value='0' ></td>";
//    Echo "<td><input type='number' step='any' name='amount_$ctr' id='amount_$ctr' class='amount form-control text-right  form' tabindex='-1' value='0' readonly></td>";
//    Echo "<td><input type='text' name='packing_$ctr' class='packing form-control text-right form' value='0' ></td>";
//    Echo "<td><input type='text' name='discperc_$ctr' class='discperc form-control text-right form' value='0'></td>";
//    Echo "<td><input type='text' name='discamt_$ctr' class='discamt form-control text-right form' value='0' ></td>";
//    Echo "<td><input type='text' name='vatperc_$ctr' class='vatperc form-control text-right  form' value='0' ></td>";
//    Echo "<td><input type='text' name='vat_$ctr' class='vat form-control text-right form' value='0' readonly tabindex='-1' ></td>";
//    Echo "<td><input type='text' name='total_$ctr' class='total form-control text-right form' value='0' readonly tabindex='-1'></td>";
    Echo "</tr>";
    $ctr++;
} else {
    echo "ERROR";
}
?>
 